% PFrameT2ElementStiffness.m (function)
% Returns the local stiffness matrix [6x6] of a 2D beam element Type 2
% Beam o------- with hinge at start i (P2' type, hinge at start i)
% This file is part of the PFrameMatlab program

function  y=PFrameT2ElementStiffness(E,A,I,L)

y = [ E*A/L       0           0    -E*A/L        0                0      ;    
        0     3*E*I/(L^3)     0      0      -3*E*I/(L^3)    3*E*I/(L^2)  ;  
        0         0           0      0           0                  0    ;
     -E*A/L       0           0     E*A/L        0                0      ;
        0    -3*E*I/(L^3)     0      0       3*E*I/(L^3)   -3*E*I/(L^2)  ;     
        0     3*E*I/(L^2)     0      0      -3*E*I/(L^2)      3*E*I/L  ] ;
    
% End of file -------------------------------------------------------------